/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package gov.anl.aps.dm.portal.exceptions;


import gov.anl.aps.dm.portal.constants.DmStatus;

/**
 * Object already exists exception class.
 */
public class IncorrectDate extends DmPortalException 
{

    /**
     * Constructor.
     */
    public IncorrectDate() 
    {
        super();
        setErrorCode(DmStatus.DM_INVALID_DATES);
    }

    /**
     * Constructor.
     *
     * @param message Error message
     */
    public IncorrectDate(String message) 
    {
        super(message);
        setErrorCode(DmStatus.DM_INVALID_DATES);
    }

    /**
     * Constructor.
     *
     * @param throwable Throwable object
     */
    public IncorrectDate(Throwable throwable) 
    {
        super(throwable);
        setErrorCode(DmStatus.DM_INVALID_DATES);
    }

    /**
     * Constructor.
     *
     * @param message Error message
     * @param throwable Throwable object
     */
    public IncorrectDate(String message, Throwable throwable) 
    {
        super(message, throwable);
        setErrorCode(DmStatus.DM_INVALID_DATES);
    }

}